<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>DOM</title>
    <script>

    </script>
</head>
<body>
    <h2>        Choisisez le pays    </h2>
    <hr />
    Choisir le pays :
    <select id="pays" name="pays" onchange="charger(this.id,'ville')"><option></option></select>

    <hr />
    Choisir la ville :
    <select id="ville" name="ville"></select>

</body>
<script>
    let pays1 = {
        nom : "France",
        ville : ["Paris","Lille"],
    };

    let pays2 = {
        nom : "Espagne",
        ville : ["Madrid","Barcelone"],
    };

    let pays3 = {
        nom : "Italie",
        ville : ["Turin","Milan"],
    };


    var select = document.getElementById("pays");
    var options = [pays1.nom,pays2.nom,pays3.nom];
    for(var i = 0; i < options.length; i++) {
        var opt = options[i];
        var el = document.createElement("option");
        el.textContent = opt;
        el.value = opt;
        select.appendChild(el);
    }

    function charger(s1,s2) {
        var s1 = document.getElementById(s1);
        var s2 = document.getElementById(s2);
        var ville ;
        s2.innerHTML = "";

        switch (s1.value) {
            case pays1.nom :
                ville = pays1.ville;
                break;
            case pays2.nom :
                ville = pays2.ville;
                break;
            case pays3.nom :
                ville = pays3.ville;
                break;
        }

        for (var i =0 ;i<ville.length;i++){
            var optionElement = document.createElement('option');
            optionElement.innerHTML =ville[i];
            s2.options.add(optionElement);
        }

        }

</script>
</html>